List states
Owners can list connector states. A state is holding progress of background process.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Query Parameters
from?integer
starting item
limit?integer
items per page
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/states"{
"data": [
{
"id": "9076df23-4a5d-4015-a681-224e0ac14228",
"status": "failed",
"name": "voluptas",
"owner": "50efc644-cca0-44d1-b91b-a91c2d9b1ac4",
"created": "2026-10-06T07:55:45+02:00",
"config": {
"name": "state 5",
"connectorPublicId": "01a10fc8-4341-7e33-8a98-d08e0d01c832",
"majorVersion": 2
},
"data": []
},
{
"id": "838335f2-347f-4f31-99ea-a38096f0b81e",
"status": "done",
"name": "hic",
"owner": "7b5a624b-e93e-4970-bf77-05cd1a64cba9",
"created": "2026-10-06T07:55:45+02:00",
"config": {
"name": "state 4",
"connectorPublicId": "01a10fc8-4341-7e33-8a98-d08e0d01c832",
"majorVersion": 2
},
"data": []
}
],
"metadata": {
"from": 0,
"limit": 20,
"count": 2,
"total": 2,
"next": null
},
"message": "successful operation",
"resource": "state"
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}{
"message": "Connector not found."
}How is this guide?